import os
import unittest

import testcxchistory
import testhistoryrecord
import testcommentrecord
import testascfits

# initialize the test suite
loader = unittest.TestLoader()
suite  = unittest.TestSuite()

# add tests to the test suite
suite.addTests(loader.loadTestsFromModule(testhistoryrecord))
suite.addTests(loader.loadTestsFromModule(testcommentrecord))
suite.addTests(loader.loadTestsFromModule(testcxchistory))
suite.addTests(loader.loadTestsFromModule(testascfits))

# initialize a runner, pass it the test suite and run it
runner = unittest.TextTestRunner(verbosity=1)
result = runner.run(suite)
